Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3388 - Sndconfig can make /etc/pnpisa.conf cause problems between hardware
Summary: Sndconfig can make /etc/pnpisa.conf cause problems between hardware
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: isapnptools
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-10 14:48 UTC by fleck_work
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-01 21:34:28 UTC


Attachments (Terms of Use)

Description fleck_work 1999-06-10 14:48:28 UTC
I thought that sndconfig was the best thing to happent
to Red Hat linux ever.  And of course, I still do.
However, there are some problems.  My modem is IRQ 4
and my sound card (an ESS1868) is IRQ 5.  This never
causes problems, and not when I did the whole module
thing by hand in Slackware (3.6, 4.0).  What happened
here was that there was an error in the detection of
the card and I was to set it up manually.  I did and
I rebooted and it worked.  However, during system init,
there was an IO conflict with sound stuff.  I wasn't
really sure what effect it had or would have because
sound was working just fine.  Well when I tried to
use my modem at all, from anywhere (pppd, kppp, or
even minicom) it showed up as being "in use".  I was
like, great.  Not thinking this might be something
in /etc/isapnp.conf, I reinstalled Red Hat.  I did the
same thing AGAIN!  Agh!  This time I figured maybe
it was something in isapnp.conf so I deleted the
file and rebooted.  Now sound and modem work just
perfectly... Yae!

Maybe isapnp.conf isn't needed at all?

Glad to have reported this.  Again, it might be
a sysvinit or isapnptools package thing... so you
all over at RedHat Labs figure it out! :-)

------- Additional Comments From   06/11/99 10:11 -------
sorry about the problems here but i just noticed
my inconsistency in file naming!  holy krud!
the file name is /etc/isapnp.conf y'all
sorry!

Comment 1 Bill Nottingham 1999-06-23 21:54:59 UTC
the problem with the modem could have been a lock file from
something else. As for the IO conflict, there have been reports
of problems with the original isapnptools-1.18; in Raw Hide
(our rolling development tree) there is an isapnptools-1.18-3
that hopefully fixes this.

You noted that rebooting without the isapnp.conf could help solve
the problem; if nothing resets the cards to a different configuration
(such as Windows98 might do), they should maintain the same
configuration across reboots.


Note You need to log in before you can comment on or make changes to this bug.